=== requirements.txt ===
pyvmomi==6.0.0.2016.6
git+https://github.com/Supervisor/supervisor@master#egg=supervisor
