## maas 2.4.0~beta2-6865-gec43e47e6

=== debian/changelog ===
maas (2.4.0~beta2-6865-gec43e47e6-0ubuntu1) bionic; urgency=medium

  * New upstream release. (LP: #1754697)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 16 Apr 2018 09:12:38 -0400

maas (2.4.0~beta1-6799-g391e5f16d-0ubuntu1) bionic; urgency=medium

  * New upstream release. (LP: #1754697)
  * debian/*: Integrate maas-dns into maas-region-api; make maas-dns a
    transitional package

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 30 Mar 2018 15:32:38 -0400

maas (2.4.0~alpha2-6717-gffaddd526-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream release. (LP: #1754697)
  * debian/*: Replace ntp in favor of chrony.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 09 Mar 2018 11:01:52 -0500

maas (2.4.0~alpha1-6573-g12ee2331b-0ubuntu1) bionic; urgency=medium

  * New upstream release
  * debian/*: Drop usage of apache2. It has long been used to maintain
    backwards compat for 1.x versions of MAAS, but starting from 2.4, it
    will no longer be supported.
  * debian/maas-{dhcp,proxy}.lintian-overrides: Add lintin overrides.
  * debian/control:
    - Bump Standards-Version.
    - Add depends on python3-uvloop, python3-macaroonbakery.
    - Drop depends on ubuntu-cloudimage-keyring in favor of ubuntu-keyring.
    - Drop depends on dh-systemd as it is now deprecated. Newer debhelper
      integrates it, as such, bump dep version.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 09 Feb 2018 18:50:10 -0500

maas (2.3.0-6434-gd354690-0ubuntu1) bionic; urgency=medium

  * New upstream release, MAAS 2.3.0:
    - Add support for CentOS & Windows networking.
    - Add support for Upstream Proxy.
    - Add the ability to deploy rack controllers.
    - Add the ability to report controller versions.
    - Add HTTP boot for ephemeral images, instead of 'tgt'.
    - Add django 1.11 support.
    - Introduce beaconing for better network discovery.
    - Improve hardware testing for better usage and feedback.
    - Improves performance by improving DNS reloading performance.
    - Machine, devices & controller page re-design.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 20 Nov 2017 14:08:22 -0500

maas (2.3.0~rc2-6412-g410b453-0ubuntu1) artful; urgency=medium

  * New upstream release, 2.3.0 rc2.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 09 Nov 2017 20:36:29 -0500

maas (2.3.0~rc1-6393-g8103f0a-0ubuntu1) artful; urgency=medium

  * New upstream release, 2.3.0 rc1.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 06 Nov 2017 13:23:31 -0500

maas (2.3.0~beta3-6368-g03ca7f4-0ubuntu1) artful; urgency=medium

  * New upstream release, 2.3.0 beta3.
  * debian/control: Add missing deps for python3-maas-client (LP: #1724181)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 11 Oct 2017 16:42:41 -0400
