## maas 2.4.2-7034-g2f5deb8b8

=== debian/changelog ===
maas (2.4.2-7034-g2f5deb8b8-0ubuntu1) bionic-proposed; urgency=medium

  * Stable Release Update. New upstream release, MAAS 2.4.2 (LP: #1788641)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 23 Aug 2018 11:29:47 -0400

maas (2.4.0-6981-g011e51b7a-0ubuntu1~18.04.1) bionic-proposed; urgency=medium

  * Stable Release Update. New upstream release, MAAS 2.4.0 (LP: #1773201)
  * debian/control:
    - Add versioned depends to python3-django.
    - Add depends on python3-macaroonbakery for python3-maas-client.
    - Move depends on avahi-utils to maas-common from maas-region-controller. 

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 18 Jun 2018 09:11:11 -0500
