=== debian/control ===
--- 
+++ 
@@ -56,7 +56,8 @@
 
 Package: maas-common
 Architecture: all
-Depends: rsyslog,
+Depends: avahi-utils,
+         rsyslog,
          ${misc:Depends},
          ${python3:Depends},
          python3-maas-provisioningserver
@@ -76,7 +77,7 @@
          maas-proxy (= ${binary:Version}),
          chrony,
          python3-bson,
-         python3-django,
+         python3-django (>= 1:1.10),
          python3-django-maas (= ${binary:Version}),
          python3-django-piston3 (>= 0.3~rc2),
          python3-djorm-ext-pgarray,
@@ -98,8 +99,7 @@
 
 Package: maas-region-controller
 Architecture: all
-Depends: avahi-utils,
-         dbconfig-pgsql,
+Depends: dbconfig-pgsql,
          iputils-ping,
          maas-region-api (= ${binary:Version}),
          postgresql (>= 9.1),
@@ -177,6 +177,7 @@
 Section: python
 Architecture: all
 Depends: python3-httplib2,
+         python3-macaroonbakery (>= 1.1.3),
          python3-netifaces,
          python3-oauth,
          python3-tempita,
