=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
http://launchpad.net/maas/+download https://launchpad.net/maas/.*/maas-(.*).tar.*
