## maas 2.5.0~beta2-7291

=== Makefile ===
--- 
+++ 
@@ -217,15 +217,6 @@
 	ln -sf ../node_modules/.bin/$(notdir $@) $@
 	@touch --no-create $@
 
-js-update-macaroonbakery:
-	mkdir -p src/masserver/static/js/macaroon
-	wget -O src/maasserver/static/js/macaroon/js-macaroon.js \
-		'https://raw.githubusercontent.com/juju/juju-gui/develop/jujugui/static/gui/src/app/assets/javascripts/js-macaroon.js'
-	wget -O src/maasserver/static/js/macaroon/bakery.js \
-		'https://raw.githubusercontent.com/juju/juju-gui/develop/jujugui/static/gui/src/app/jujulib/bakery.js'
-	wget -O src/maasserver/static/js/macaroon/web-handler.js \
-		'https://raw.githubusercontent.com/juju/juju-gui/develop/jujugui/static/gui/src/app/store/env/web-handler.js'
-
 define node_packages
   @babel/core
   @babel/preset-react
@@ -233,6 +224,7 @@
   @types/prop-types
   @types/react
   @types/react-dom
+  babel-polyfill
   babel-loader@^8.0.0-beta.0
   glob
   jasmine-core@=2.99.1
@@ -245,6 +237,7 @@
   karma-opera-launcher
   karma-phantomjs-launcher
   karma-sourcemap-loader
+  macaroon-bakery
   node-sass
   phantomjs-prebuilt
   prop-types
@@ -392,3 +385,18 @@
 lint-js: sources = src/maasserver/static/js
 lint-js:
 	@find $(sources) -type f -not -path '*/angular/3rdparty/*' -a \
+		-not -path '*-min.js' -a \
+	    '(' -name '*.html' -o -name '*.js' ')' -print0 \
+		| xargs -r0 -n20 -P4 $(pocketlint)
+
+# Apply automated formatting to all Python files.
+format: sources = $(wildcard *.py contrib/*.py) src utilities etc
+format:
+	@find $(sources) -name '*.py' -print0 | xargs -r0 utilities/format-imports
+	@find src/ -type f -exec file "{}" ";" | grep CRLF | cut -d ':' -f1 | xargs dos2unix
+
+check: clean test
+
+docs/api.rst: bin/maas-region src/maasserver/api/doc_handler.py syncdb
+	bin/maas-region generate_api_doc > $@
+
