## maas 2.5.0~beta2-7291-gd0345ced5

=== debian/changelog ===
maas (2.5.0~beta2-7291-gd0345ced5-0ubuntu1) cosmic; urgency=medium

  * New upstream release. (LP: #1796937)
  * debian/maas-dhcp.maas-{dhcpd,dhcpd6}.service: Require dhcpd stop
    in 8 seconds, if not kill it with 'mixed' mode.
  * debian/control: Drop python3-jinja2 as it is no longer needed to
    generate documentation.
  * debian/maas-common.prerm: Add & handle stop of maas-syslog.service.
  * debian/maas-common.postrm:
    - Run debhelper handling before manual removal actions.
    - Purge maas-syslog related files.
  * debian/maas-rack-controller.prerm: Add & handle stop of
    maas-rackd.service.
  * debian/maas-rack-controller.postrm: Purge http and rpc.state files.
  * debian/maas-region-api.postrm: Purge maas-regiond socket file.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 02 Oct 2018 22:55:12 -0400

maas (2.5.0~beta1-7225-g817fb216d-0ubuntu1) cosmic; urgency=medium

  * New upstream release (LP: #1792389)
  * debian/control: Depend on python3-jinja2
  * MAAS now manages its own rsyslog daemon:
    - d/maas-common.maas-syslog.service: Add service.
    - d/extras/99-maas-common-sudoers: start/stop/status for maas-rsyslog.
    - d/rules: Handle installation of maas-rsyslog.
    - d/extras/20-maas.conf: Drop as MAAS now generates its own config.
    - d/maas-region-api.install: Drop install of 20-maas.conf.
    - d/maas-region-api.postinst: Drop restart of rsyslog.
    - d/maas-common.install: Drop install of maas-rsyslog.conf.
    - d/maas-common.{preinst,postinst}: Handle upgrades.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 17 Sep 2018 05:30:25 -0400

maas (2.5.0~alpha2-7175-gab01a63f2-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Don't autostart maas-rackd on install to avoid initialization errors.
    - debian/rules: add --no-start for maas-rackd.
    - debian/maas-rack-controller.postinst: enable/start maas-rackd.
  * Make package more lintian clean:
    - debian/*.postinst: Remove of use of systemctl for deb-system-*
    - debian/*.lintin-overrides: Add overrides for a few warnings.
  * debian/rules: Do not override dh_installinit as we are using systemd.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 23 Aug 2018 08:04:57 -0400

maas (2.5.0~alpha1-7104-g18ae9e407-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 16 Jul 2018 14:30:06 -0400

maas (2.4.0~rc2-6980-gc5ebdd7b1-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 18 May 2018 17:48:22 -0400

maas (2.4.0~rc1-6959-gd7a158fc3-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 11 May 2018 14:34:52 -0400

maas (2.4.0~beta3-6929-g62682abf5-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 03 May 2018 03:31:14 -0400
