=== debian/rules ===
--- 
+++ 
@@ -10,23 +10,20 @@
 	# do nothing as we don't want the tests to run because they require
 	# internet access
 
-override_dh_installinit:
-	dh_installinit -p maas-region-api --name=maas-regiond --no-start
-	dh_installinit -p maas-rack-controller --name=maas-rackd
-	dh_installinit -p maas-proxy --name=maas-proxy
-	dh_installinit -p maas-dhcp --name=maas-dhcpd
-	dh_installinit -p maas-dhcp --name=maas-dhcpd6
-
 override_dh_systemd_enable:
+	dh_systemd_enable -p maas-common --name=maas-syslog
 	dh_systemd_enable -p maas-region-api --name=maas-regiond
 	dh_systemd_enable -p maas-rack-controller --name=maas-rackd
+	dh_systemd_enable -p maas-rack-controller --name=maas-http
 	dh_systemd_enable -p maas-proxy --name=maas-proxy
 	dh_systemd_enable -p maas-dhcp --name=maas-dhcpd
 	dh_systemd_enable -p maas-dhcp --name=maas-dhcpd6
 
 override_dh_systemd_start:
+	dh_systemd_start -p maas-common --no-start maas-syslog.service
 	dh_systemd_start -p maas-region-api --no-start maas-regiond.service
-	dh_systemd_start -p maas-rack-controller maas-rackd.service
+	dh_systemd_start -p maas-rack-controller --no-start maas-rackd.service
+	dh_systemd_start -p maas-rack-controller maas-http.service
 	dh_systemd_start -p maas-proxy maas-proxy.service
 	dh_systemd_start -p maas-dhcp maas-dhcpd.service
 	dh_systemd_start -p maas-dhcp maas-dhcpd6.service
