## maas 2.5.0-7442-gdf68e30a5

=== debian/changelog ===
maas (2.5.0-7442-gdf68e30a5-0ubuntu1) disco; urgency=medium

  * New upstream release. MAAS 2.5.0 introduces:
    - Proxy MAAS communication through the rack controller.
    - HA - Rack to region communication no longer needs VIPs.
    - KVM (pod) - Support for networking.
    - KVM (pod) - Re-designed WebUI.
    - CentOS storage support.
    - ESXi deployment support.
    - Machine listing - Re-designed UI.
    - Enlistment - now runs commissioning scripts.
    - Add machines by only specifying IPMI credentials.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 11 Dec 2018 15:15:30 -0500

maas (2.5.0~rc2-7433-gea48d302e-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream release.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 30 Nov 2018 14:00:22 -0500

maas (2.5.0~rc1-7419-ge0d239532-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream bugfix release.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 21 Nov 2018 12:02:18 -0500

maas (2.5.0~beta4-7361-g401d6c73d-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream bugfix release.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 26 Oct 2018 14:22:03 -0600

maas (2.5.0~beta3-7325-g1425f6d4c-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream bugfix release.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 15 Oct 2018 09:33:40 -0400
