=== debian/control ===
--- 
+++ 
@@ -110,7 +110,7 @@
 Description: Region Controller for MAAS
  The MAAS region controller (maas-regiond) is the REST API server for
  all MAAS clients, and the postgres database that maintains machine
- state for the entire data centre (or “region”). The region controller 
+ state for the entire data centre (or “region”). The region controller
  an be scaled-out and highly available given the appropriate postgres
  setup and additional API servers.
  .
@@ -194,8 +194,8 @@
 
 Package: maas-rack-controller
 Architecture: all
-Depends: authbind,
-         avahi-utils,
+Depends: avahi-utils,
+         bind9 (>= 1:9.10.3.dfsg.P2-5~),
          bind9utils,
          distro-info,
          freeipmi-tools,
@@ -205,6 +205,8 @@
          maas-cli (=${binary:Version}),
          maas-common (=${binary:Version}),
          maas-dhcp (=${binary:Version}),
+         maas-proxy (= ${binary:Version}),
+         nginx-core,
          chrony,
          pxelinux | syslinux-common (<< 3:6.00~pre4+dfsg-5),
          python3-httplib2,
@@ -277,7 +279,7 @@
 
 Package: maas-dns
 Architecture: all
-Depends: maas-region-api (>= 2.4.0~beta1~)
+Depends: maas-region-api (>= 2.4.0~beta1~), ${misc:Depends}
 Description: dummy transitional package for MAAS DNS server
  This package can be safely removed, as the configuration this package
  performed is now integrated in 'maas-region-api'.
