## maas 2.6.0-7802

=== Makefile ===
--- 
+++ 
@@ -88,6 +88,7 @@
 	        $(addprefix required-packages/,base build dev doc) | sed '/^\#/d')
 	sudo DEBIAN_FRONTEND=noninteractive apt-get -y \
 	    purge $(shell sort -u required-packages/forbidden | sed '/^\#/d')
+	if [ -x /usr/bin/snap ]; then sudo snap install --classic snapcraft; fi
 
 .gitignore:
 	sed 's:^[.]/:/:' $^ > $@
@@ -150,10 +151,10 @@
 	$(buildout) install e2e-test
 	@touch --no-create $@
 
-# bin/maas-region is needed for South migration tests. bin/flake8 is needed for
-# checking lint and bin/node-sass is needed for checking css.
+# bin/flake8 is needed for checking lint and bin/node-sass is needed for
+# checking css.
 bin/test.testing: \
-  bin/maas-region bin/flake8 bin/node-sass bin/buildout \
+  bin/flake8 bin/node-sass bin/buildout \
   buildout.cfg versions.cfg setup.py
 	$(buildout) install testing-test
 	@touch --no-create $@
@@ -186,7 +187,7 @@
 
 include/nodejs/bin/node:
 	mkdir -p include/nodejs
-	wget -O include/nodejs/nodejs.tar.gz https://nodejs.org/dist/v8.9.3/node-v8.9.3-linux-x64.tar.gz
+	wget -O include/nodejs/nodejs.tar.gz https://nodejs.org/dist/v8.10.0/node-v8.10.0-linux-x64.tar.gz
 	tar -C include/nodejs/ -xf include/nodejs/nodejs.tar.gz --strip-components=1
 
 include/nodejs/yarn.tar.gz:
@@ -293,7 +294,12 @@
 clean-failed:
 	$(RM) .noseids
 
-src/maasserver/testing/initial.maas_test.sql: bin/database syncdb
+src/maasserver/testing/initial.maas_test.sql: bin/maas-region bin/database
+  # Run migrations without any triggers created.
+	$(dbrun) bin/maas-region dbupgrade --internal-no-triggers
+	# Data migration will create a notification, that will break tests. Want the
+	# database to be a clean schema.
+	$(dbrun) bin/maas-region shell -c "from maasserver.models.notification import Notification; Notification.objects.all().delete()"
 	bin/database --preserve run -- \
 	    pg_dump maas --no-owner --no-privileges \
 	        --format=plain > $@
@@ -354,8 +360,7 @@
 lint-py: sources = setup.py src
 lint-py: bin/flake8
 	@find $(sources) -name '*.py' \
-	  ! -path '*/migrations/*' ! -path '*/south_migrations/*' -print0 \
-	    | xargs -r0 bin/flake8 --config=.flake8
+	  ! -path '*/migrations/*' -print0 | xargs -r0 bin/flake8 --config=.flake8
 
 # Ignore tests when checking complexity. The maximum complexity ought to
 # be close to 10 but MAAS has many functions that are over that so we
@@ -364,7 +369,7 @@
 lint-py-complexity: sources = setup.py src
 lint-py-complexity: bin/flake8
 	@find $(sources) -name '*.py' \
-	  ! -path '*/migrations/*' ! -path '*/south_migrations/*' \
+	  ! -path '*/migrations/*' \
 	  ! -path '*/tests/*' ! -path '*/testing/*' ! -name 'testing.py' \
 	  -print0 | xargs -r0 bin/flake8 --config=.flake8 --max-complexity=$(maximum)
 
@@ -373,7 +378,7 @@
 lint-py-imports:
 	@utilities/check-imports
 	@find $(sources) -name '*.py' \
-	  ! -path '*/migrations/*' ! -path '*/south_migrations/*' \
+	  ! -path '*/migrations/*' \
 	  -print0 | xargs -r0 utilities/find-early-imports
 
 lint-doc:
@@ -388,15 +393,8 @@
 		-not -path '*-min.js' -a \
 	    '(' -name '*.html' -o -name '*.js' ')' -print0 \
 		| xargs -r0 -n20 -P4 $(pocketlint)
-
-# Apply automated formatting to all Python files.
+		bin/yarn prettier-check
+
+# Apply automated formatting to all Python, Sass and Javascript files.
 format: sources = $(wildcard *.py contrib/*.py) src utilities etc
-format:
-	@find $(sources) -name '*.py' -print0 | xargs -r0 utilities/format-imports
-	@find src/ -type f -exec file "{}" ";" | grep CRLF | cut -d ':' -f1 | xargs dos2unix
-
-check: clean test
-
-docs/api.rst: bin/maas-region src/maasserver/api/doc_handler.py syncdb
-	bin/maas-region generate_api_doc > $@
-
+format: bin/yarn
