=== snap-data/pypi/requirements.txt ===
pyvmomi==6.0.0.2016.6
git+https://github.com/Supervisor/supervisor@master#egg=supervisor

# XXX CFFI is needed by PyNaCl which is a macaroonbakery dependency. We force the
# same version as currently in Bionic to avoid conflics. This should be dropped
# once we use macaroonbakery from the archive again
cffi==1.11.5
# XXX this is currently needed for RBAC, should be dropped (and
# python3-macaroonbakery added back to snapcraft.yaml) once it's updated in
# bionic
macaroonbakery==1.2.0
# XXX this is currently needed to make multiprocess collector setup work
# correctly
prometheus_client==0.6.0
